triangulation3.h File Reference

Internal header for 3-dimensional triangulations. More...

`#include <functional>`
`#include <map>`
`#include <memory>`
`#include <vector>`
`#include <set>`
`#include "regina-core.h"`
`#include "angle/anglestructure.h"`
`#include "maths/cyclotomic.h"`
`#include "treewidth/treedecomposition.h"`
`#include "triangulation/generic/triangulation.h"`
`#include "utilities/boolset.h"`
`#include "utilities/markedvector.h"`
`#include "triangulation/dim3/tetrahedron3.h"`
`#include "triangulation/dim3/triangle3.h"`
`#include "triangulation/dim3/vertex3.h"`
`#include "triangulation/dim3/component3.h"`
`#include "triangulation/dim3/boundarycomponent3.h"`

## Classes

class | regina::XMLTriangulationReader< dim >
| An XML packet reader that reads a single dim-dimensional triangulation. More...
class | regina::Triangulation< 3 >
| Represents a 3-dimensional triangulation, typically of a 3-manifold. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef Triangulation< 3 > | regina::NTriangulation
| Deprecated typedef for backward compatibility. More...
typedef FaceEmbedding< 3, 1 > | regina::NEdgeEmbedding
| Deprecated typedef for backward compatibility. More...
typedef Face< 3, 1 > | regina::NEdge
| Deprecated typedef for backward compatibility. More...

## Enumerations

enum | regina::TuraevViroAlg { regina::TV_DEFAULT = 0, regina::TV_BACKTRACK = 1, regina::TV_TREEWIDTH = 2, regina::TV_NAIVE = 3 }
| Represents the various algorithms available for computing Turaev-Viro invariants. More...

## Detailed Description

Internal header for 3-dimensional triangulations.

This file is automatically included from triangulation/dim3.h; there is no need for end users to include this header explicitly.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).